#
# spec file for package python-paramiko-expect
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without python2
Name:           python-paramiko-expect
Version:        0.3.5
Release:        2.1
Summary:        An expect-like extension for the Paramiko SSH library
License:        MIT
URL:            https://github.com/fgimian/paramiko-expect
Source:         https://files.pythonhosted.org/packages/source/p/paramiko-expect/paramiko-expect-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-paramiko >= 1.10.1
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module paramiko >= 1.10.1}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Paramiko Expect provides an expect-like extension for the Paramiko SSH library
which allows scripts to fully interact with hosts via a true SSH
connection.

The class is constructed with an SSH Client object (this will likely be
extended to support a transport in future for more flexibility).

%prep
%setup -q -n paramiko-expect-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
# Needs running ssh server with properly set keys
#%%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/paramiko_expect.py
%{python_sitelib}/paramiko_expect-%{version}*-info
%pycache_only %{python_sitelib}/__pycache__/paramiko_expect*

%changelog
* Mon Jun  2 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Wed May 10 2023 Dirk Müller <dmueller@suse.com>
- update to 0.3.5:
  * use license from tarball
  * add term option to SSHClientInteraction and use to call invoke_shell
* Wed Oct 12 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.3.4
  * No upstream changelog
* Thu Aug 11 2022 Steve Kowalik <steven.kowalik@suse.com>
- Drop unneeded BuildRequires of contextlib2 and mock.
* Thu Apr  7 2022 pgajdos@suse.com
- version update to 0.3.2
  * no upstream changelog file found
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Mon Apr 15 2019 Erico Mendonca <erico.mendonca@suse.com>
- Initial OBS packaging.
